package org.mcmas.ui.syntax;

import java.util.Iterator;
import java.util.TreeSet;

public class protocol_line {
	bool_expression condition; // enabling condition
	TreeSet<groupitem> actions;

	public protocol_line(bool_expression c, TreeSet<groupitem> a) {
		condition = c;
		actions = a;
	}

	public bool_expression get_condition() {
		return condition;
	}

	public TreeSet<groupitem> get_actions() {
		return actions;
	}

	public String toString() {
		String str = "{ ";
		int k = 0;
		int j = actions.size() - 1;
		Iterator<groupitem> i = actions.iterator();
		while (i.hasNext()) {
			String element = i.next().name;
			if (k == j)
				str += element + " ";
			else
				str += element + ", ";
			k++;
		}
		str += "}";
		return condition.toString() + ": " + str;
	}
}
