package org.mcmas.ui.syntax;

public class variable extends expression {
	  String agent_name; // agent that the variable belongs to
	  String name; // variable name
	  basictype var_type;
	  public int agstartline;
	  public int agstartcolumn;
	  public int agendline;
	  public int agendcolumn;

	  public variable(String a_n, String n, int agstartline, int agstartcolumn, int startline, int startcolumn) {
		  super(0, startline, startcolumn, startline, startcolumn+n.length());
		  agent_name = a_n;
		  name = n;
		  var_type = null;
		  this.agstartline = agstartline;
		  this.agstartcolumn = agstartcolumn;
		  this.agendline = agstartline;
		  this.agendcolumn = agstartcolumn+a_n.length();
		}
	  public variable(String n, int startline, int startcolumn) {
		  super(0, startline, startcolumn, startline, startcolumn+n.length());
		  agent_name = null;
		  name = n;
		  var_type = null;
		  this.agstartline = startline;
		  this.agstartcolumn = startcolumn;
		  this.agendline = startline;
		  this.agendcolumn = startcolumn+n.length();
		}
		public void set_agent_name(String a_n) {
		  agent_name = a_n;
		}
		public String get_agent_name() {
		  /*if(agent_name==null) {
		    System.out.println("error: the agent name of the given variable is undefined!");
		  } */
		    return agent_name;
		}
		public boolean is_agent_name_null() {
		  return agent_name==null;
		}
		public String get_variable_name() {
		  /*if(name==null) {
			  System.out.println("error: the name of the given variable is undefined!");
		  }*/ 
		    return name;
		}
		public String toString() {
		  return (agent_name==null? "" : agent_name+".") + get_variable_name();
		}
		public void set_var_type(basictype t) {
		  var_type = t;
		}
		public basictype get_var_type() {
		  return var_type;
		}
}
