package org.mcmas.ui.editors;

import java.io.IOException;
import java.util.ArrayList;
import java.io.BufferedReader;
//import java.io.OutputStreamWriter;
import java.io.InputStreamReader;
//import java.io.BufferedWriter;

/**
 * <p>Title: PET</p>
 *
 * <p>Description: Java UI for PET</p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: University of Warwick</p>
 *
 * @author Hongyang Qu
 * @version 1.0
 */
public class ExecDot {
    public ExecDot() {
    }

    static public ArrayList<String> executeDot(String dotPath, String sParameter, int osType) {
        ArrayList<String> sReturn = new ArrayList<String>();
        try {
            Runtime run = Runtime.getRuntime();
            Process  process = null;
            //String path = osType == 0 ? "\"" + sParameter + "\"" : sParameter.replace(" ", "\\ ");
            String[] paths = {dotPath+"dot", sParameter};
            process = run.exec(paths);
            BufferedReader inStream = new BufferedReader(new InputStreamReader(process.getInputStream()));
            //sReturn.add(inStream.readLine());
            //while(inStream.ready())
            //    sReturn.add(inStream.readLine());
            String line = "";
            while((line=inStream.readLine()) != null) 
            	sReturn.add(line);
        } catch (IOException ex) {
            ex.printStackTrace();
            return null;
        }
        //System.out.println("Analyzing "+sParameter+" successfully!");
        return sReturn;
    }

}
