package org.mcmas.ui.syntax;

import java.util.ArrayList;

public class Transition {
	public int index;
	public LocalAction[] actions;
	
	public Transition(int index, LocalAction[] actions) {
		this.index = index;
		this.actions = actions;
	}
	
	public String toString() {
		String str = "----------------------------- Transition No. " + index + " -----------------------------\n";
		for(int i=0; i<actions.length-1; i++) 
			str += actions[i].isNullAction() ? "" : actions[i].toString() + "\n";
		
		str += actions[actions.length-1].toString()+"\n";
		return str;
	}
	public String toString1() {
		String str = InterpretedSystem.tranprefix;
		for(int i=0; i<actions.length-1; i++) 
			str += actions[i].isNullAction() ? "" : actions[i].toString() + "\n";
		
		str += actions[actions.length-1].toString()+"\n";
		return str;
	}
}
