package org.mcmas.ui.syntax;

public class bool_value extends expression {
	boolean value; // 0: false, 1: true

	public bool_value(boolean v, int startline, int startcolumn) {
		super(1, startline, startcolumn, startline, (v ? startcolumn+4 : startcolumn+5));
		value = v;
	}

	public boolean get_value() {
		return value;
	}

	public String toString() {
		return (value ? "true" : "false");
	}
	
	public boolean isEqualTo(bool_value bv) {
		if(value == bv.get_value())
			return true;
		else
			return false;
	}
	
	public boolean equalTo(bool_value b) {
		return value == b.get_value();
	}
}
