package org.mcmas.ui.syntax;

public class laction extends expression {
	String agent_name; // agent that the action belongs to
	basic_agent agent;
	public int agstartline;
	public int agstartcolumn;
	public int agendline;
	public int agendcolumn;

	public laction(int startline, int startcolumn) {
		super(4, startline, startcolumn, startline, startcolumn+6);
		agent_name = null;
		agent = null;
	}

	public laction(String a_n, int agstartline, int agstartcolumn, int startline, int startcolumn) {
		super(4, startline, startcolumn, startline, startcolumn+6);
		agent_name = a_n;
		agent = null;
		this.agstartline = agstartline;
		this.agstartcolumn = agstartcolumn;
		this.agendline = agstartline;
		this.agendcolumn = agstartcolumn+a_n.length();
	}

	public void set_agent_name(String a_n) {
		agent_name = a_n;
	}

	public String get_agent_name() {
		if (agent_name == null) {
			System.out.println("agent name in laction is unknown!");
		}
		return agent_name;
	}

	public void set_agent(basic_agent a) {
		agent = a;
	}

	public basic_agent get_agent() {
		return agent;
	}

	public boolean is_agent_name_null() {
		return agent_name == null;
	}

	public String toString() {
		return (agent_name == null ? "" : agent_name + ".") + "Action";
		// return "Action";
	}

}
